Bug 447790 - xdvi expert mode crashes
Summary: xdvi expert mode crashes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xdvik
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-21 19:41 UTC by Giuseppe Castagna
Modified: 2009-07-14 15:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:36:58 UTC


Attachments (Terms of Use)

Description Giuseppe Castagna 2008-05-21 19:41:19 UTC
Description of problem:

1. Open any dvi file by xdvi. 
2. Select expert mode ('x' key)
3. Exit xdvi
4. Reopen the same file => the xdvi window disappears after few milliseconds
and command line is blocked without any error or warning message (^C to exit)


Version-Release number of selected component (if applicable):

xdvik-22.84.13-19.fc9.i386


Additional info:

Either delete your ~/.xdvirc file or delete in it the line 
 xdvi.expertMode:	0
and xdvi works again

Comment 1 Giuseppe Castagna 2008-05-21 20:05:07 UTC
Additional info:

A different way to crash xdvi is to press twice the 'x' key, that is "expert
mode" never exits.

I also compiled the src package in rawhide, thus installed 
xdvik-22.84.13-20.fc9.i386.rpm but without any noticeable difference

Comment 2 Giuseppe Castagna 2008-05-22 18:39:07 UTC
Even more info:

this happens only when running Compiz: if I use metacity then the expert mode
no longer crashes xdvi.

FYI I use compiz-0.7.5-10.fc9.i386

Comment 3 Jonathan Underwood 2008-05-23 21:05:44 UTC
Yes, I can reproduce this to some extent - xdvi doesn't crash, but it doesn't
toggle between expert mode after two toggles if compiz is the WM. Will look into it.

Comment 4 Giuseppe Castagna 2008-05-24 09:26:08 UTC
(In reply to comment #3)
> Yes, I can reproduce this to some extent - xdvi doesn't crash,

Indeed also in my case it does not crash but it is "stuck": if I toggle expert
mode then I cannot do anything else. If expert mode is recorded in .xdvirc then
the window disappears at one but the xdvi in the command line does not exit and
the shell is stuck.



Comment 5 Bug Zapper 2009-06-10 01:04:20 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 15:36:58 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.